Name:           tkimg
Version:        1.4
Release:        %mkrel 1
Summary:        Image support library for Tk
Group:          System/Libraries
License:        BSD
URL:            http://sourceforge.net/projects/tkimg
Source0:        %{name}%{version}.tar.xz
Patch0:         tkimg-20081115-syslibs-zlib.patch
Patch1:         tkimg-libpng.patch
Patch2:         tkimg-20081115-syslibs-tiff.patch
Patch3:         tkimg-20081115-syslibs-jpg.patch
Patch4:         tkimg-libpng15.patch
Patch7:         tkimg-libpng16.patch
Patch8:         tkimg-libpng-deprecated.patch

BuildRequires:  pkgconfig(tcl)
BuildRequires:  pkgconfig(tk)
BuildRequires:  tcl-tcllib
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(zlib)
Requires:       tcl

%description
This package contains a collection of image format handlers for the Tk
photo image type, and a new image type, pixmaps.
The provided format handlers include bmp, gif, ico, jpeg, pcx, png,
ppm, ps, sgi, sun, tga, tiff, xbm, and xpm.

%package devel
Summary:        Libraries, includes, etc. used to develop an application with %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       tcl-devel
Requires:       tk-devel
Requires:       libtiff-devel
Requires:       libpng-devel
Requires:       libjpeg-devel
Requires:       zlib-devel

%description devel
This are the header files needed to develop a %{name} application.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1 -b .png_png
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .png15
%patch7 -p1 -b .png16
%patch8 -p1 -b .deprecated

%build
%configure2_5x --with-tcl=%{tcl_sitearch} --with-tk=%{_libdir} --libdir=%{tcl_sitearch} --disable-threads
%make

%install
%make_install INSTALL_ROOT=%{buildroot}

# Fixing some permissions
find %{buildroot}/%{tcl_sitearch} -name "*.sh" |xargs chmod 644
find %{buildroot}/%{tcl_sitearch} -name "*.tcl" |xargs chmod 644
find %{buildroot}/%{tcl_sitearch} -name "*.a" |xargs chmod 644
find %{buildroot}/%{tcl_sitearch} -name "*.so" |xargs chmod 755

# Make library links
%{__mv} %{buildroot}/%{tcl_sitearch}/*.sh %{buildroot}/%{_libdir}
for tcllibs in %{buildroot}/%{tcl_sitearch}/Img1.4/*tcl*.so; do
btcllibs=`basename $tcllibs`
%{__ln_s} tcl%{tcl_version}/Img1.4/$btcllibs %{buildroot}/%{_libdir}/$btcllibs
done

%files
%doc README
%{_libdir}/*.so
%{tcl_sitearch}/Img1.4
%exclude %{tcl_sitearch}/Img1.4/*.a
%{_mandir}/mann/*.n*

%files devel
%doc README
%{_includedir}/*
%{_libdir}/*.sh
%{tcl_sitearch}/Img1.4/*.a


%changelog
* Fri Feb 14 2020 tex - 1.4-1pclos2020
- import package tkimg
